自定义博客皮肤VIP专享

*博客头图:

格式为PNG、JPG,宽度*高度大于1920*100像素,不超过2MB,主视觉建议放在右侧,请参照线上博客头图

请上传大于1920*100像素的图片!

博客底图:

图片格式为PNG、JPG,不超过1MB,可上下左右平铺至整个背景

栏目图:

图片格式为PNG、JPG,图片宽度*高度为300*38像素,不超过0.5MB

主标题颜色:

RGB颜色,例如:#AFAFAF

Hover:

RGB颜色,例如:#AFAFAF

副标题颜色:

RGB颜色,例如:#AFAFAF

自定义博客皮肤

-+

<angcyo>菜鸟视角

顶尚科技,品尚生活

原创 Android--›迁移到AndroidX指南(含包依赖关系)

AndroidX发布已经有段时间了, 相应的包也都出了1.0.0正式版本. 顺势而为, 才能得以生存. 是时候迁移到AndroidX了. 迁移操作本身是很简单的, 有菜单命令一键搞定.如下: 你以为这样就完事了? 还真是…项目妥妥的跑起来了, 还不算完事吗? 如果仅仅是为了跑起项目, 那还真的就...

2019-10-19 10:14:29 742 0

原创 Kotlin--›Kotlin时代的Adapter(Android 一个话时代的DslAdapter(多类型,情感图,加载更多,多选,群组等))

DslAdapter Dsl 的形式使用 RecyclerView.Adapter, 支持情感图状态切换, 加载更多, 多类型Item等 所有Item继承自DslAdapterItem即可在DslAdapter中使用. 特性 1.全网最轻量的多类型Item实现方法 2.支持情感图状态(空布局 加...

2019-10-17 18:58:59 253 0

原创 AS--›Gradle 自动查找依赖版本冲突,强制指定依赖版本号

一个工程, 依赖的第三方包越来越多少的时候, 肯定是会出现多个包同时引入了同一个库的不同版本. 如果不出问题, 大部分同学应该不会注意到版本冲突的问题, 但是本着对代码负责的原则, 我们还是需要主动解决的. 本脚本的功能 自动打印出版本冲突的依赖包 支持配置指定某个包的强制版本号 源代码 /*...

2019-10-16 11:56:06 1034 1

提示
确定要删除当前文章?
取消 删除